<?php

class VoteController extends Zend_Controller_Action
{

  public function init()
  {
    /* Initialize action controller here */
  }

  public function indexAction()
  {
    $vote = new Application_Model_VoteMapper();
    $this->view->allVotes = $vote->findByDate(date('Y-m-d'));
    $this->view->votesByRestaurant = $vote->getSummaryArray(date('Y-m-d'));
  }

  public function addvoteAction()
  {
    $request = $this->getRequest();
    $form = new Application_Form_Vote();

    if ($this->getRequest()->isPost()) {
      if ($form->isValid($request->getPost())) {
        $vote = new Application_Model_Vote($form->getValues());
        $mapper = new Application_Model_VoteMapper();
        $mapper->save($vote);
        return $this->_helper->redirector('index');
      }
    }

    $this->view->form = $form;
  }


}


