<?php

class Application_Form_Vote extends Zend_Form
{

  public function init()
  {
    // La méthode HTTP d'envoi du formulaire
    $this->setMethod('post');

    // Un élément pour le nom d'utilisateur
    $this->addElement('text', 'username', array(
      'label' => 'Votre nom :',
      'required' => true,
      'filters' => array('StringTrim'),
      'validators' => array(
        array('validator' => 'StringLength', 'options' => array(0, 20))
      )
    ));

    // Un élément pour le nom du restaurant
    $this->addElement('text', 'restaurantname', array(
      'label' => 'Votre choix de restaurant :',
      'required' => true,
      'filters' => array('StringTrim'),
      'validators' => array(
        array('validator' => 'StringLength', 'options' => array(0, 20))
      )
    ));

    // Un bouton d'envoi
    $this->addElement('submit', 'submit', array(
      'ignore' => true,
      'label' => 'Voter',
    ));

  }


}

